Bug 270712

Summary: Overview map settings storage is broken
Product: marble Reporter: Dennis Nienhüser <nienhueser>
Component: generalAssignee: marble-bugs
Status: RESOLVED FIXED    
Severity: normal CC: rahn
Priority: NOR    
Version: unspecified   
Target Milestone: 1.1.0   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In: 1.1.0

Description Dennis Nienhüser 2011-04-11 22:09:19 UTC
Version:           unspecified (using Devel) 
OS:                Linux

Both in git master and the marble-1.1 branch the storing of the settings of the overview map plugin is broken. Parts of the settings are stored in a QHash, which is not supported by KDE. Moreover the default settings seem to be invalid, resulting in a broken (empty) overview map for new installations (or deleted config files).


Reproducible: Always
Comment 1 Dennis Nienhüser 2011-04-13 20:26:47 UTC
Git commit 258e223c5f1f91b76e79fd94d3b6eaf38cca3302 by Dennis Nienhüser. on behalf of Torsten Rahn
Committed on 13/04/2011 at 19:17.
Pushed by nienhueser into branch 'master'.

Fixes: Bug 270712 - Overview map settings storage is broken

RevBy: Daniel Marth, Dennis Nienhüser
CCBUG: 270712
(cherry picked from commit 3ab98936c4f895b97d882686893d260e1e20ae08)

M  +5    -4    src/plugins/render/overviewmap/OverviewMap.cpp     

http://commits.kde.org/marble/258e223c5f1f91b76e79fd94d3b6eaf38cca3302
Comment 2 Dennis Nienhüser 2011-04-13 21:44:42 UTC
The commit above fixes the initial overview map display (when settings are empty).

After the first restart of Marble, the KDE version is still broken for me. In the shell, there are messages
marble(31098) KConfigGroup::writeEntry: KConfigGroup::writeEntry - unhandled type QVariantHash in group "plugin_overviewmap"

I upgraded to 4.6.2 earlier this evening.
Comment 3 Dennis Nienhüser 2011-04-13 21:48:44 UTC
Looking at 
http://api.kde.org/4.x-api/kdelibs-apidocs/kdecore/html/kconfiggroup_8cpp_source.html#l00983
saving a QHash seems indeed unsupported by KConfigGroup despite its inclusion in QVariant. Guess we have to convert it to something different for serialization.
Comment 4 Dennis Nienhüser 2011-04-14 21:08:19 UTC
Git commit c6b840abd670f25820f1ec42d56e4fcd9e176580 by Dennis Nienhüser.
Committed on 14/04/2011 at 20:35.
Pushed by nienhueser into branch 'marble-1.1'.

Fix setting serialization in the KDE version.
BUG: 270712
FIXED-IN: 1.1.0
(cherry picked from commit 68de7475492bb18cad1a094df95145a9a02bc525)

M  +29   -18   src/plugins/render/overviewmap/OverviewMap.cpp     
M  +1    -1    src/plugins/render/overviewmap/OverviewMap.h     

http://commits.kde.org/marble/c6b840abd670f25820f1ec42d56e4fcd9e176580
Comment 5 Dennis Nienhüser 2011-04-14 21:08:19 UTC
Git commit 68de7475492bb18cad1a094df95145a9a02bc525 by Dennis Nienhüser.
Committed on 14/04/2011 at 20:30.
Pushed by nienhueser into branch 'master'.

Fix setting serialization in the KDE version.
CCBUG: 270712

M  +29   -18   src/plugins/render/overviewmap/OverviewMap.cpp     
M  +1    -1    src/plugins/render/overviewmap/OverviewMap.h     

http://commits.kde.org/marble/68de7475492bb18cad1a094df95145a9a02bc525